Get Card
curl --request GET \
--url https://api.example.com/api/v1/cards/{card_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/cards/{card_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/cards/{card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"assignee_id": "<string>",
"board_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"description": "<string>",
"details": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": [
"<string>"
],
"position": 123,
"priority": "critical",
"status": "not_started",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"action_plan": "<string>",
"architecture_designs": [],
"archived": false,
"attachments": [],
"card_type": "normal",
"comments": [],
"conclusions": [
{
"author_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"text": "<string>",
"completeness": 100,
"completeness_justification": "",
"drift": 0,
"drift_justification": ""
}
],
"expected_behavior": "<string>",
"knowledge_bases": [
{}
],
"linked_test_task_ids": [
"<string>"
],
"observed_behavior": "<string>",
"origin_task_id": "<string>",
"pre_archive_status": "<string>",
"qa_items": [],
"screen_mockups": [
{
"id": "<string>",
"title": "<string>",
"annotations": [
{
"id": "<string>",
"text": "<string>",
"author_id": "<string>"
}
],
"description": "<string>",
"html_content": "",
"order": 0,
"screen_type": "page"
}
],
"severity": "<string>",
"spec_id": "<string>",
"sprint_id": "<string>",
"steps_to_reproduce": "<string>",
"test_scenario_ids": [
"<string>"
],
"validations": [
{}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}cards
Get Card
Get a card by ID with all attachments, Q&A, and comments.
GET
/
api
/
v1
/
cards
/
{card_id}
Get Card
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Schema for card response.
Card priority levels.
Available options:
critical, very_high, high, medium, low, none Card status enum matching Kanban columns.
Available options:
not_started, started, in_progress, validation, on_hold, done, cancelled Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Last modified on May 17, 2026